using System;
using System.Threading.Tasks;

internal sealed class Delegate670 : MulticastDelegate
{
	public extern TaskFactory Invoke();

	public static TaskFactory smethod_0(Delegate670 delegate670_1)
	{
		return delegate670_1();
	}

	public extern Delegate670(object object_0, IntPtr intptr_0);

	static Delegate670()
	{
		Class10.smethod_13(typeof(Delegate670).TypeHandle);
	}

	internal static Delegate670 delegate670_0;
}
